
Foreman - Bug #5854

org creation non-admin normal user doesn't add the org name in org switcher

05/21/2014 02:59 PM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Organizations and Locations   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1070638 Red Hat JIRA:  

Pull request:    

Description

Description of problem:

I was trying org selection using normal user. I logged in with normal user (who has permissions to create org) and created an org.

But I could not select it from left top org selection list. Looks like a rendering issue.

Version-Release number of selected component (if applicable):

How reproducible:

always

using Firefox 26.0

also with chrome Version 32.0.1700.107

Steps to Reproduce:

1. login with admin user and create a normal user

2. create a role and assign all org related permissions to it

3. assign the role created in setp2 to normal user

4. login with normal user

5. create organization

6. select org from top left selection list

Actual results:

UI doesn't show created org

Expected results:

Org should be selected from the selection list

Additional info:

With admin user, I don't find any such issue.

Associated revisions

Revision a1af1096 - 06/20/2014 08:58 AM - Joseph Magen

fixes #5854 - org creation by non-admin normal user now associates themselves

History

#1 - 05/21/2014 03:28 PM - Dominic Cleal

- Description updated

- Assignee set to Joseph Magen

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1070638

#2 - 05/22/2014 08:05 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1463
#3 - 06/11/2014 02:53 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#4 - 06/20/2014 08:57 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#5 - 06/20/2014 09:32 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a1af1096b8868c1596b95656dbe25c9977468d63.
